@import "../styles/animations.css";

.mainEighthSection {
  padding: 120px 0px;

  @media screen and (min-width: 1440px) {
    padding: 160px 0px;
  }
}

.mainEighthSectionItem:first-child {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/*.mainEighthSectionTitle {*/
 
/*}*/

.mainEighthSectionControls {
  display: flex;
  align-items: center;
}

.mainEighthSectionButton {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 40px;
  height: 40px;

  background-color: var(--border-grey-color);

  @media screen and (min-width: 1440px) {
    width: 48px;
    height: 48px;
  }
}

.mainEighthSectionButton:last-child {
  margin-left: 8px;

  @media screen and (min-width: 1440px) {
    margin-left: 14px;
  }
}

.mainEighthSectionButtonIcon {
  display: block;

  width: 24px;
  height: 24px;

  stroke: var(--black-color);
}

/* SLIDER */
.swiper {
  width: 100%;
}

.mainEighthSectionItem:last-child {
  padding-top: 56px;

  @media screen and (min-width: 1440px) {
    padding-top: 80px;
  }
}

.mainEighthSectionCard {
  position: relative;
  height: 584px;
  display: flex;
  flex-direction: column;
  width: 100%;

  background-color: var(--border-grey-color);
  opacity: 0;

  animation: opacityAnimation;
  animation-duration: 500ms;
  animation-timing-function: ease-in-out;
  animation-delay: 250ms;
  animation-fill-mode: forwards;

  @media screen and (min-width: 1440px) {
    height: 600px;
  }
}

.mainEighthSectionCardHeader {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;

  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 100%;
}

.mainEighthSectionCardHeaderTitle {
  display: flex;
  width: 100%;
  overflow-wrap: break-word;

  padding: 16px;
  background: var(--blue-purple-gradient);

  font-family: TT Firs Neue;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  letter-spacing: -0.01em;
  text-align: left;
  color: var(--white-color);
}

.mainEighthSectionCardHeaderDescription {
  padding: 16px;
  background-color: var(--border-grey-color);
  overflow-wrap: break-word;

  font-family: Futura PT;
  font-size: 10px;
  font-weight: 450;
  line-height: 14px;
  letter-spacing: 0em;
  text-align: left;
  color: var(--black-color);
}

.mainEighthSectionCardImageWrapper {
  position: relative;
  height: 320px;

  width: 100%;
  overflow: hidden;
  @media screen and (min-width: 1440px) {
  }
}

.mainEighthSectionCardImage {
  display: block;
  height: 100%;

  transition: transform var(--transition-duration) ease-in-out, filter var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1024px) {
    filter: grayscale(100%);
    width: 100%;
  }
}

.mainEighthSectionCard:hover .mainEighthSectionCardImage {
  transform: scale(1.2);
  filter: grayscale(0%);
}

.mainEighthSectionCardFooter {
  padding: 24px;
  flex-grow: 1;

  display: flex;
  flex-direction: column;

  font-family: Futura PT;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0em;
  text-align: left;
}

.mainEighthSectionCardFooterTopText {
  /* display: flex; */
  max-width: 100%;
  /*overflow-wrap: break-word;*/
  /*word-break: break-all;*/
}

.mainEighthSectionCardFooterBottomText {
  overflow-wrap: break-word;
  word-break: break-all;

  margin-top: 8px;
  color: var(--secondary-grey-color);
}

.mainEighthSectionCardLink {
  margin-top: auto;
  display: flex;
  align-items: center;

  font-family: TT Firs Neue;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: -0.01em;
  text-align: center;
  color: var(--black-color);

  transition: color var(--transition-duration) ease-in-out;
}

.mainEighthSectionCardLink:hover,
.mainEighthSectionCardLink:focus {
  color: var(--blue-color);
}

.mainEighthSectionCardLinkIcon {
  display: block;
  width: 16px;
  height: 16px;
  margin-left: 16px;

  stroke: var(--black-color);
  transition: stroke var(--transition-duration) ease-in-out;
}

.mainEighthSectionCardLink:hover .mainEighthSectionCardLinkIcon,
.mainEighthSectionCardLink:focus .mainEighthSectionCardLinkIcon {
  stroke: var(--blue-color);
}

.mainEighthSectionLink {
  display: flex;
  width: max-content;
  margin-top: 56px;
  margin-left: auto;
  margin-right: auto;

  padding: 10px 50px;

  font-family: TT Firs Neue;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: -0.01em;
  text-align: center;

  color: var(--white-color);
  background-color: var(--purple-color);

  transition: background-color var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1440px) {
    margin-top: 80px;
    padding: 12px 44px;

    font-size: 16px;
    line-height: 24px;
  }
}

.mainEighthSectionLink:hover,
.mainEighthSectionLink:focus {
  background-color: var(--purple-hover-color);
}
